View Issue Details

IDProjectCategoryView StatusLast Update
0000150file[All Projects] Generalpublic2020-03-20 17:29
ReporterGerbilSoftAssigned Tochristos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version5.38 
Target VersionFixed in Version5.39 
Summary0000150: New magic: IPS and related patches, Nintendo Badge Arcade, Xbox 360, PVR, KTX, SquashFS fix
DescriptionThis batch of patches has the following:
* IPS: Add a default file extension.
* BPS, APS, UPS: Detect these patch formats.
* Nintendo Badge arcade: Detect these files.
* EXE: Added CPU type 0x1F2. (PowerPC, big-endian; used for Xbox 360)
* STFS: Verify padding for MS-signed packages to prevent conflicts with some Nintendo DS ROM images.
* PowerVR 3.0: Renamed from "PVR 3.0"; added big-endian support.
* KTX: Added more S3TC enum values.
* KTX2: Detect this image format. (up to date as of draft18)
* SquashFS: Fix little-endian handling.
TagsNo tags attached.

Activities

GerbilSoft

2020-03-02 00:46

reporter  

file.2020-03-01.19-40.tar.gz (6,823 bytes)

GerbilSoft

2020-03-06 03:57

reporter   ~0003389

Fix for KTX2: draft19 (released yesterday) removed zlib and LZMA supercompression options. Zstandard is now supercompression type 2.

0012-images-KTX2-draft19-removed-zlib-and-LZMA-compressio.patch (1,088 bytes)
From 2dbe3e2ea2341fedcf46911fc8eb214e81f4bb0c Mon Sep 17 00:00:00 2001
From: David Korth <gerbilsoft@gerbilsoft.com>
Date: Thu, 5 Mar 2020 22:56:02 -0500
Subject: [PATCH 12/12] images: KTX2 draft19 removed zlib and LZMA compression.

Zstandard is now supercompression type 2.
---
 magic/Magdir/images | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/magic/Magdir/images b/magic/Magdir/images
index a60ab4f9..25aeced7 100644
--- a/magic/Magdir/images
+++ b/magic/Magdir/images
@@ -1975,17 +1975,15 @@
 >12	belong	0x04030201			(big-endian)
 >>16	use	\^khronos-ktx-endian-header
 
-# Type: Khronos KTX texture.
+# Type: Khronos KTX2 texture.
 # From: David Korth <gerbilsoft@gerbilsoft.com>
-# Based on draft18.
+# Based on draft19.
 # Reference: http://github.khronos.org/KTX-Specification/
 
 # Supercompression enum.
 0	name	khronos-ktx2-supercompression
 >0	lelong	1	Basis Universal
->0	lelong	2	zlib
->0	lelong	3	zstd
->0	lelong	4	LZMA
+>0	lelong	2	Zstandard
 
 # Vulkan format identifier.
 # NOTE: Formats prohibited from KTX2 are commented out.
-- 
2.25.1

christos

2020-03-20 17:29

manager   ~0003399

Patches applied, thanks!

Issue History

Date Modified Username Field Change
2020-03-02 00:46 GerbilSoft New Issue
2020-03-02 00:46 GerbilSoft File Added: file.2020-03-01.19-40.tar.gz
2020-03-06 03:57 GerbilSoft File Added: 0012-images-KTX2-draft19-removed-zlib-and-LZMA-compressio.patch
2020-03-06 03:57 GerbilSoft Note Added: 0003389
2020-03-20 17:28 christos Assigned To => christos
2020-03-20 17:28 christos Status new => assigned
2020-03-20 17:29 christos Status assigned => resolved
2020-03-20 17:29 christos Resolution open => fixed
2020-03-20 17:29 christos Fixed in Version => 5.39
2020-03-20 17:29 christos Note Added: 0003399